# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "glyphana"
version = "0.1.4"
authors = ["Moritz Moeller <virtualritz@gmail.com>"]
exclude = [
    ".github/**/*",
    "wix/*",
]
description = "Quickly find, inspect & collect unicode glyps"
documentation = "https://docs.rs/glyphana/"
readme = "README.md"
license = "(MIT OR Apache-2.0 OR BSD-3-Clause) AND OFL-1.1"
repository = "https://github.com/virtualritz/glyphana/"

[profile.dev.package."*"]
opt-level = 2

[profile.dist]
inherits = "release"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
panic = "abort"
strip = true

[dependencies.ahash]
version = "0.8.3"

[dependencies.bytemuck]
version = "1.13.0"

[dependencies.eframe]
version = "0.21"
features = [
    "default_fonts",
    "glow",
    "persistence",
]
default-features = false

[dependencies.egui]
version = "0.21"

[dependencies.encode_unicode]
version = "1.0.0"

[dependencies.enum_dispatch]
version = "0.3.11"

[dependencies.finl_unicode]
version = "1.2.0"

[dependencies.glyph-names]
version = "0.2.0"

[dependencies.image]
version = "0.24.5"
features = ["png"]
default-features = false

[dependencies.include-flate]
version = "0.2.0"

[dependencies.rusttype]
version = "0.9.3"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.textwrap]
version = "0.16.0"

[dependencies.tracing-subscriber]
version = "0.3"

[dependencies.unicode-blocks]
version = "0.1.5"

[dependencies.unicode-case-mapping]
version = "0.5.0"

[dependencies.unicode_names2]
version = "0.6.0"

[dependencies.unicode_skeleton]
version = "0.1.1"
